gp_dimer(1)

NAME
gp_dimer - computate frequencies of nucleotide dimers

SYNOPSIS
[-H] [-q] [-v] [-d] [-h] [inputfile] [outputfile]

OPTIONS

-l  distance between the two nucleotides in base pairs. Default 0.

-H  Output in HTML mode

-v  Prints the version information.

-q  Do not display error messages

-d  Prints lots of debugging information.

-h  Shows usage information.

inputfile
    file to proces; if not given, will use standard input

outputfile
    file to write the data to; if not given, will use standard output

DESCRIPTION

gp_dimer records dinucleotide frequencies: in the simplest case -- frequencies of dimeres AA, AC, AG... ...TT. This is sometimes useful to characterize a sequence. You can also use it to see, what is the probability of finding a certain nucleotide N bases after another one, for example -- what is the frequency of an 'A' coming seven nucleotides after a 'T'. To set this distance, use the option -l.

SEE ALSO
Genpak(1) gp_acc(1) gp_adjust(1) gp_cdndev(1) gp_cusage(1) gp_digest(1) gp_findorf(1) gp_gc(1) gp_getseq(1) gp_map(1) gp_matrix(1) gp_mkmtx(1) gp_pattern(1) gp_primer(1) gp_qs(1) gp_randseq(1) gp_seq2prot(1) gp_slen(1) gp_tm(1) gp_trimer(1)

DIAGNOSTICS

All Genpak programs complain in situations you would also complain, like when they cannot find a sequence you gave them or the sequence is not valid.

The Genpak programs do not write over existing files. I have found this feature very useful :-)

BUGS

I'm sure there are plenty left, so please mail me if you find them. I tried to clean up every bug I could find.

AUTHOR

January Weiner III <january@bioinformatics.org>